Subject: Re: bug#76321: 31.0.50; Moving nested child frames out of their child parents

From: Gerd Möllmann <[email-masked]>
Date: Mon, 17 Feb 2025 11:30:07 +0100

martin rudalics <[email-masked]> writes:

>> I've found the reason, please see the attached patch. If it works for
>> you, I'll put in master.
>
> Thanks.  No more crashes.  

👍

> It now behaves IIRC as with the NS builds where child frames can be
> freely moved around the root frame or display. On a GTK GUI frame they
> become invisible whenever they leave their parents' rectangles. I
> won't object your choice but maybe someone else will.

Yes, it's like in macOS with GUI frames. It's the only platform I've
used child frames on :-).

>
>> With your latest diff, and nothing additional on top of it, and with
>>
>> (defun tty-3 ()
>>    (interactive)
>>    (setq tty-3
>> 	(make-frame
>> 	 `((parent-frame . ,tty-2)
>> 	   (left . (- 10)) (top . 5)
>>                     ^^^^^^^
>>
>> the placement of tty-3 seems wrong. Just saying, I think you mentioned
>> that you fixed that already.
>
> I didn't fix that yet.  What's needed here is to accumulate the sizes
> and/or positions of all ancestor frames.

Thanks for confirming that it works! Pushed, and closing.